CREATE TABLE cse_failure_set_associations (
    SET_ASSOCIATION_ID        NUMBER(18, 0),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    FAILURE_SET_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_TYPE_CODE          VARCHAR2(120)    NOT NULL,
    OBJECT_ID                 NUMBER(18, 0)    NOT NULL,
    MASTER_ORGANIZATION_ID    NUMBER(18, 0),
    CAPTURE_REQUIRED_FLAG     VARCHAR2(4)      NOT NULL,
    DEFAULT_FLAG              VARCHAR2(4)      NOT NULL,
    ACTIVE_END_DATE           TIMESTAMP(6) ,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    SET_ASSOCIATION_ID        NUMBER(18, 0),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    FAILURE_SET_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_TYPE_CODE          VARCHAR2(120)    NOT NULL,
    OBJECT_ID                 NUMBER(18, 0)    NOT NULL,
    CAPTURE_REQUIRED_FLAG     VARCHAR2(4)      NOT NULL,
    DEFAULT_FLAG              VARCHAR2(4)      NOT NULL,
    ACTIVE_END_DATE           TIMESTAMP(6) ,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    MASTER_ORGANIZATION_ID    NUMBER(18, 0),
    CONSTRAINT pk_cse_failure_set_associations PRIMARY KEY (SET_ASSOCIATION_ID, SET_ASSOCIATION_ID)
);
